/* This file is part of GtkMathView-Bonobo, a Bonobo wrapper for GtkMathView.
 * Copyright (C) 2003 Luca Padovani <lpadovan@cs.unibo.it>
 *                    Pouria Masoudi <pmasoudi@cs.unibo.it>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * For more information, please visit the project's home page
 * http://helm.cs.unibo.it/gtkmathview-bonobo
 * or send an email to <lpadovan@cs.unibo.it>
 */

#ifndef __control_data_h__
#define __control_data_h__

#include <bonobo.h>
#include <gtk/gtkmathview_gmetadom.h>
#include <gdome.h>

typedef struct _GtkMathViewControlData
{
  BonoboControl* control; /* the control this data belongs to */
  GtkMathView* math_view;
  GtkWidget* item_factory;
  gboolean semantic_selection;
  GdomeElement* first_selected;
  GdomeElement* root_selected;
  GdomeDOMString* id_ns_uri;
  GdomeDOMString* id_name;
  gint x;
  gint y;
} GtkMathViewControlData;

GtkMathViewControlData* gtk_math_view_control_data_new(BonoboControl*, GtkMathView*);
void gtk_math_view_control_data_destroy(GtkMathViewControlData*);
gchar* gtk_math_view_control_data_get_id_ns_uri(GtkMathViewControlData*);
void gtk_math_view_control_data_set_id_ns_uri(GtkMathViewControlData*, const gchar*);
gchar* gtk_math_view_control_data_get_id_name(GtkMathViewControlData*);
void gtk_math_view_control_data_set_id_name(GtkMathViewControlData*, const gchar*);
void gtk_math_view_control_data_set_root_selected(GtkMathViewControlData*, GdomeElement*);

#endif // __control_data_h__
