/* This file is part of GtkMathView-Bonobo, a Bonobo wrapper for GtkMathView.
 * Copyright (C) 2003 Luca Padovani <lpadovan@cs.unibo.it>
 *                    Pouria Masoudi <pmasoudi@cs.unibo.it>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * For more information, please visit the project's home page
 * http://helm.cs.unibo.it/gtkmathview-bonobo
 * or send an email to <lpadovan@cs.unibo.it>
 */

#ifndef __handlers_h__
#define __handlers_h__

#include <bonobo.h>
#include <gdome.h>
#include <gtk/gtkmathview_gmetadom.h>

#include "control-data.h"

void set_frame(BonoboControl*, gpointer);
gboolean button_pressed_cb(GtkMathView*, GdkEventButton*, GtkMathViewControlData*);
void click_cb(GtkMathView*, const GtkMathViewModelEvent*, GtkMathViewControlData*);
void select_begin_cb(GtkMathView*, const GtkMathViewModelEvent*, GtkMathViewControlData*);
void select_over_cb(GtkMathView*, const GtkMathViewModelEvent*, GtkMathViewControlData*);
void select_end_cb(GtkMathView*, const GtkMathViewModelEvent*, GtkMathViewControlData*);
void select_abort_cb(GtkMathView*, GtkMathViewControlData*);

#endif // __handlers_h__
