/* This file is part of GtkMathView-Bonobo, a Bonobo wrapper for GtkMathView.
 * Copyright (C) 2003 Luca Padovani <lpadovan@cs.unibo.it>
 *                    Pouria Masoudi <pmasoudi@cs.unibo.it>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * For more information, please visit the project's home page
 * http://helm.cs.unibo.it/gtkmathview-bonobo
 * or send an email to <lpadovan@cs.unibo.it>
 */

#ifndef __GTK_MATH_VIEW_PERSIST_STREAM_H__
#define __GTK_MATH_VIEW_PERSIST_STREAM_H__

#include <bonobo/bonobo-persist.h>
#include <gtk/gtkmathview_gmetadom.h>

G_BEGIN_DECLS

struct _GtkMathViewPersistStream;
typedef struct _GtkMathViewPersistStream GtkMathViewPersistStream;
typedef struct _GtkMathViewPersistStreamPrivate GtkMathViewPersistStreamPrivate;

#define GTK_MATH_VIEW_TYPE_PERSIST_STREAM (gtk_math_view_persist_stream_get_type())
#define GTK_MATH_VIEW_PERSIST_STREAM(object) (G_TYPE_CHECK_INSTANCE_CAST((object), GTK_MATH_VIEW_TYPE_PERSIST_STREAM,GtkMathViewPersistStream))
#define GTK_MATH_VIEW_IS_PERSIST_STREAM(object) (G_TYPE_CHECK_INSTANCE_TYPE((object),  GTK_MATH_VIEW_TYPE_PERSIST_STREAM))
#define GTK_MATH_VIEW_IS_PERSIST_STREAM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GTK_MATH_VIEW_TYPE_PERSIST_STREAM))

struct _GtkMathViewPersistStream
{
  BonoboPersist parent;
  GtkMathView *math_view;
  gchar* tmp_path_name;
};

typedef struct
{
  BonoboPersistClass parent_class;
  POA_Bonobo_PersistStream__epv epv;
} GtkMathViewPersistStreamClass;

GType   gtk_math_view_persist_stream_get_type(void);
BonoboObject *gtk_math_view_persist_stream_new(GtkMathView *);

G_END_DECLS

#endif
