/* This file is part of GtkMathView-Bonobo, a Bonobo wrapper for GtkMathView.
 * Copyright (C) 2003 Luca Padovani <lpadovan@cs.unibo.it>
 *                    Pouria Masoudi <pmasoudi@cs.unibo.it>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * For more information, please visit the project's home page
 * http://helm.cs.unibo.it/gtkmathview-bonobo
 * or send an email to <lpadovan@cs.unibo.it>
 */

#ifndef __view_h__
#define __view_h__

#include <bonobo.h>

#include "GtkMathView.h"
#include "control-data.h"

#define VIEW_TYPE	  (view_get_type())
#define VIEW(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), VIEW_TYPE, View))
#define VIEW_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), VIEW_TYPE, ViewClass))
#define VIEW_IS_OBJECT(o) (G_TYPE_CHECK_INSTANCE_TYPE ((o), VIEW_TYPE))
#define VIEW_IS_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), VIEW_TYPE))
#define VIEW_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), VIEW_TYPE, ViewClass))

typedef struct {
  BonoboObject parent;
  GtkMathViewControlData* control_data;
} View;

typedef struct {
  BonoboObjectClass parent_class;
  POA_GNOME_GtkMathView_View__epv epv;
} ViewClass;

GType view_get_type(void);
View* view_new(GtkMathViewControlData*);

#endif /* __view_h__ */

